function joint2 = kin_xyzbc_tt_inverse_complete(in1,in2)
%KIN_XYZBC_TT_INVERSE_COMPLETE
%    JOINT2 = KIN_XYZBC_TT_INVERSE_COMPLETE(IN1,IN2)

%    This function was generated by the Symbolic Math Toolbox version 9.1.
%    07-Nov-2023 14:54:29

%Inverse Kinematics ( with unit tool tip vector )  : 
%INPUTS : 
%	in    (6x1) : 
%          (3x1) : pose vector ( piece space )
%          (3x1) : unit tool tip vector ( piece space )
%	p      (3x5) : parameters
%OUTPUTS : 
%	r_j    (5x1) : pose vector( joint space )
%#codegen
offB1 = in2(10);
offB2 = in2(11);
offC1 = in2(13);
offB3 = in2(12);
offC2 = in2(14);
offC3 = in2(15);
tool1 = in1(4);
tool2 = in1(5);
tool3 = in1(6);
t2 = tool1.^2;
t3 = tool2.^2;
t4 = tool1.*1i;
t5 = -t4;
t6 = t2+t3;
t7 = sqrt(t6);
t8 = 1.0./t7;
t9 = t8.*tool1.*tool3;
t10 = t5+t9;
joint2 = [(t8.^2.*(offC1.*t2.*tool3-offB3.*t6.*tool1-offC3.*t6.*tool1+offB1.*t7.*tool1.*tool3+offC2.*tool1.*tool2.*tool3))./abs(t10);offB2-offC1.*t8.*tool2+offC2.*t8.*tool1;(tool1.*(offB1.*t7+offC1.*tool1+offC2.*tool2+offB3.*tool3+offC3.*tool3))./abs(-tool1.*(t7.*1i-tool3));angle(t10);atan2(-tool2,tool1)];
